vala-tests r14 - trunk/tests/bugs



Author: malureau
Date: Sat Oct 18 00:38:07 2008
New Revision: 14
URL: http://svn.gnome.org/viewvc/vala-tests?rev=14&view=rev

Log:
Add bug 433288

Added:
   trunk/tests/bugs/433288.test   (contents, props changed)
   trunk/tests/bugs/433288.vala

Added: trunk/tests/bugs/433288.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/433288.test	Sat Oct 18 00:38:07 2008
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+  VALAC=valac
+  SRCDIR=.
+fi
+
+while true ; do
+    case "$1" in
+	--interact) INTERACT=1 ; shift ;;
+	--) shift ; break ;;
+	*) break ;;
+    esac
+done
+
+TESTNAME=`basename $0 .test`
+
+$VALAC  -o $TESTNAME $SRCDIR/$TESTNAME.vala  $VALAFLAGS
+
+if [ "x1" = "x1" -o "x$INTERACT" = "x1" ] ; then
+  G_DEBUG=fatal_warnings ./$TESTNAME  $@
+else
+  echo ""
+  echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+fi
+

Added: trunk/tests/bugs/433288.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/433288.vala	Sat Oct 18 00:38:07 2008
@@ -0,0 +1,6 @@
+using GLib;
+
+static void main () {
+	SList<uint> indices = new SList<uint>();
+	foreach(uint i in indices) { }
+}
\ No newline at end of file



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]